%%% Example file of how to use the residual_analysis.m function
%
% In this example we use three different sinuses with different frequency to
% illustrate the residual_analysis.m function.
%
% Written by Stle A. Skogstad, 02.04.2013

% Example of a signal with 100 Hz sampling frequency
t = 0:0.01:5;               % time vektor

% Three different sinuses in each dimension
clear data;
data(:,1) = sin(t*2*pi*5);  %  Sinus with a frequency of 5 Hz 
data(:,2) = sin(t*2*pi*10); %  Sinus with a frequency of 10 Hz
data(:,3) = sin(t*2*pi*25); %  Sinus with a frequency of 25 Hz

% We can now run the analysis. By setting make_plot to 1 we get the
% function to plot the residual in a new figure. By setting the FS to 100
% we get the correct frequency area in the plot.
[residual1] = residual_analysis(data,200,100,1);

% By increasing the filter lenght we increase the resolution in the residual plot.
% Notice that the lenght of filter restricts how short the input signal can be
% (see the help section).
[residual2] = residual_analysis(data,300,100,1);